Skip to content
Open the portal
Developer docs

Set Retention

PUT
/v1/retention
curl --request PUT \
--url https://example.com/v1/retention \
--header 'Content-Type: application/json' \
--data '{ "days": 1, "note": "" }'
Media typeapplication/json
PolicyIn
object
days
Any of:
integer
>= 1 <= 36500
note
Note
string
"" <= 500 characters

Successful Response

Media typeapplication/json
Response Set Retention V1 Retention Put
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}